<?php
$tdatafor_signature = array();
$tdatafor_signature[".searchableFields"] = array();
$tdatafor_signature[".ShortName"] = "for_signature";
$tdatafor_signature[".OwnerID"] = "";
$tdatafor_signature[".OriginalTable"] = "allocation";


$tdatafor_signature[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatafor_signature[".originalPagesByType"] = $tdatafor_signature[".pagesByType"];
$tdatafor_signature[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatafor_signature[".originalPages"] = $tdatafor_signature[".pages"];
$tdatafor_signature[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatafor_signature[".originalDefaultPages"] = $tdatafor_signature[".defaultPages"];

//	field labels
$fieldLabelsfor_signature = array();
$fieldToolTipsfor_signature = array();
$pageTitlesfor_signature = array();
$placeHoldersfor_signature = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsfor_signature["English"] = array();
	$fieldToolTipsfor_signature["English"] = array();
	$placeHoldersfor_signature["English"] = array();
	$pageTitlesfor_signature["English"] = array();
	$fieldLabelsfor_signature["English"]["expenditure_code"] = "Expenditure code";
	$fieldToolTipsfor_signature["English"]["expenditure_code"] = "";
	$placeHoldersfor_signature["English"]["expenditure_code"] = "";
	$fieldLabelsfor_signature["English"]["department_name"] = "Department name";
	$fieldToolTipsfor_signature["English"]["department_name"] = "";
	$placeHoldersfor_signature["English"]["department_name"] = "";
	$fieldLabelsfor_signature["English"]["at_start"] = "At start";
	$fieldToolTipsfor_signature["English"]["at_start"] = "";
	$placeHoldersfor_signature["English"]["at_start"] = "";
	$fieldLabelsfor_signature["English"]["at_end"] = "At end";
	$fieldToolTipsfor_signature["English"]["at_end"] = "";
	$placeHoldersfor_signature["English"]["at_end"] = "";
	$fieldLabelsfor_signature["English"]["user"] = "User";
	$fieldToolTipsfor_signature["English"]["user"] = "";
	$placeHoldersfor_signature["English"]["user"] = "";
	$fieldLabelsfor_signature["English"]["on_time"] = "On Time";
	$fieldToolTipsfor_signature["English"]["on_time"] = "";
	$placeHoldersfor_signature["English"]["on_time"] = "";
	$fieldLabelsfor_signature["English"]["md"] = "Md";
	$fieldToolTipsfor_signature["English"]["md"] = "";
	$placeHoldersfor_signature["English"]["md"] = "";
	$fieldLabelsfor_signature["English"]["description"] = "Description";
	$fieldToolTipsfor_signature["English"]["description"] = "";
	$placeHoldersfor_signature["English"]["description"] = "";
	$fieldLabelsfor_signature["English"]["this_allocation"] = "This Allocation";
	$fieldToolTipsfor_signature["English"]["this_allocation"] = "";
	$placeHoldersfor_signature["English"]["this_allocation"] = "";
	$fieldLabelsfor_signature["English"]["comment"] = "Comment";
	$fieldToolTipsfor_signature["English"]["comment"] = "";
	$placeHoldersfor_signature["English"]["comment"] = "";
	$fieldLabelsfor_signature["English"]["c_acc"] = "C Acc";
	$fieldToolTipsfor_signature["English"]["c_acc"] = "";
	$placeHoldersfor_signature["English"]["c_acc"] = "";
	$fieldLabelsfor_signature["English"]["delete"] = "Delete";
	$fieldToolTipsfor_signature["English"]["delete"] = "";
	$placeHoldersfor_signature["English"]["delete"] = "";
	$fieldLabelsfor_signature["English"]["status"] = "Status";
	$fieldToolTipsfor_signature["English"]["status"] = "";
	$placeHoldersfor_signature["English"]["status"] = "";
	$fieldLabelsfor_signature["English"]["aaa"] = "Aaa";
	$fieldToolTipsfor_signature["English"]["aaa"] = "";
	$placeHoldersfor_signature["English"]["aaa"] = "";
	$fieldLabelsfor_signature["English"]["id"] = "ID";
	$fieldToolTipsfor_signature["English"]["id"] = "";
	$placeHoldersfor_signature["English"]["id"] = "";
	if (count($fieldToolTipsfor_signature["English"]))
		$tdatafor_signature[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsfor_signature["sinhala"] = array();
	$fieldToolTipsfor_signature["sinhala"] = array();
	$placeHoldersfor_signature["sinhala"] = array();
	$pageTitlesfor_signature["sinhala"] = array();
	$fieldLabelsfor_signature["sinhala"]["expenditure_code"] = "වැය ශිර්ෂය";
	$fieldToolTipsfor_signature["sinhala"]["expenditure_code"] = "";
	$placeHoldersfor_signature["sinhala"]["expenditure_code"] = "";
	$fieldLabelsfor_signature["sinhala"]["department_name"] = "දෙපාර්තමේන්තුව";
	$fieldToolTipsfor_signature["sinhala"]["department_name"] = "";
	$placeHoldersfor_signature["sinhala"]["department_name"] = "";
	$fieldLabelsfor_signature["sinhala"]["at_start"] = "ආරම්භක ශේෂය";
	$fieldToolTipsfor_signature["sinhala"]["at_start"] = "";
	$placeHoldersfor_signature["sinhala"]["at_start"] = "";
	$fieldLabelsfor_signature["sinhala"]["at_end"] = "අවසාන ශේෂය";
	$fieldToolTipsfor_signature["sinhala"]["at_end"] = "";
	$placeHoldersfor_signature["sinhala"]["at_end"] = "";
	$fieldLabelsfor_signature["sinhala"]["user"] = "User";
	$fieldToolTipsfor_signature["sinhala"]["user"] = "";
	$placeHoldersfor_signature["sinhala"]["user"] = "";
	$fieldLabelsfor_signature["sinhala"]["on_time"] = "On Time";
	$fieldToolTipsfor_signature["sinhala"]["on_time"] = "";
	$placeHoldersfor_signature["sinhala"]["on_time"] = "";
	$fieldLabelsfor_signature["sinhala"]["md"] = "Md";
	$fieldToolTipsfor_signature["sinhala"]["md"] = "";
	$placeHoldersfor_signature["sinhala"]["md"] = "";
	$fieldLabelsfor_signature["sinhala"]["description"] = "Description";
	$fieldToolTipsfor_signature["sinhala"]["description"] = "";
	$placeHoldersfor_signature["sinhala"]["description"] = "";
	$fieldLabelsfor_signature["sinhala"]["this_allocation"] = "This Allocation";
	$fieldToolTipsfor_signature["sinhala"]["this_allocation"] = "";
	$placeHoldersfor_signature["sinhala"]["this_allocation"] = "";
	$fieldLabelsfor_signature["sinhala"]["comment"] = "Comment";
	$fieldToolTipsfor_signature["sinhala"]["comment"] = "";
	$placeHoldersfor_signature["sinhala"]["comment"] = "";
	$fieldLabelsfor_signature["sinhala"]["c_acc"] = "C Acc";
	$fieldToolTipsfor_signature["sinhala"]["c_acc"] = "";
	$placeHoldersfor_signature["sinhala"]["c_acc"] = "";
	$fieldLabelsfor_signature["sinhala"]["delete"] = "Delete";
	$fieldToolTipsfor_signature["sinhala"]["delete"] = "";
	$placeHoldersfor_signature["sinhala"]["delete"] = "";
	$fieldLabelsfor_signature["sinhala"]["status"] = "Status";
	$fieldToolTipsfor_signature["sinhala"]["status"] = "";
	$placeHoldersfor_signature["sinhala"]["status"] = "";
	$fieldLabelsfor_signature["sinhala"]["aaa"] = "Aaa";
	$fieldToolTipsfor_signature["sinhala"]["aaa"] = "";
	$placeHoldersfor_signature["sinhala"]["aaa"] = "";
	$fieldLabelsfor_signature["sinhala"]["id"] = "අංකය";
	$fieldToolTipsfor_signature["sinhala"]["id"] = "";
	$placeHoldersfor_signature["sinhala"]["id"] = "";
	if (count($fieldToolTipsfor_signature["sinhala"]))
		$tdatafor_signature[".isUseToolTips"] = true;
}


	$tdatafor_signature[".NCSearch"] = true;



$tdatafor_signature[".shortTableName"] = "for_signature";
$tdatafor_signature[".nSecOptions"] = 0;

$tdatafor_signature[".mainTableOwnerID"] = "";
$tdatafor_signature[".entityType"] = 1;
$tdatafor_signature[".connId"] = "allo_at_localhost";


$tdatafor_signature[".strOriginalTableName"] = "allocation";

	



$tdatafor_signature[".showAddInPopup"] = false;

$tdatafor_signature[".showEditInPopup"] = false;

$tdatafor_signature[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatafor_signature[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatafor_signature[".listAjax"] = true;
//	temporary
$tdatafor_signature[".listAjax"] = false;

	$tdatafor_signature[".audit"] = true;

	$tdatafor_signature[".locking"] = true;


$pages = $tdatafor_signature[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatafor_signature[".edit"] = true;
	$tdatafor_signature[".afterEditAction"] = 1;
	$tdatafor_signature[".closePopupAfterEdit"] = 1;
	$tdatafor_signature[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatafor_signature[".add"] = true;
$tdatafor_signature[".afterAddAction"] = 1;
$tdatafor_signature[".closePopupAfterAdd"] = 1;
$tdatafor_signature[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatafor_signature[".list"] = true;
}



$tdatafor_signature[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatafor_signature[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatafor_signature[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatafor_signature[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatafor_signature[".printFriendly"] = true;
}



$tdatafor_signature[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatafor_signature[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatafor_signature[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatafor_signature[".isUseAjaxSuggest"] = true;

$tdatafor_signature[".rowHighlite"] = true;



																								

$tdatafor_signature[".ajaxCodeSnippetAdded"] = false;

$tdatafor_signature[".buttonsAdded"] = false;

$tdatafor_signature[".addPageEvents"] = true;

// use timepicker for search panel
$tdatafor_signature[".isUseTimeForSearch"] = false;


$tdatafor_signature[".badgeColor"] = "8FBC8B";


$tdatafor_signature[".allSearchFields"] = array();
$tdatafor_signature[".filterFields"] = array();
$tdatafor_signature[".requiredSearchFields"] = array();

$tdatafor_signature[".googleLikeFields"] = array();
$tdatafor_signature[".googleLikeFields"][] = "id";
$tdatafor_signature[".googleLikeFields"][] = "aaa";
$tdatafor_signature[".googleLikeFields"][] = "expenditure_code";
$tdatafor_signature[".googleLikeFields"][] = "department_name";
$tdatafor_signature[".googleLikeFields"][] = "at_start";
$tdatafor_signature[".googleLikeFields"][] = "at_end";
$tdatafor_signature[".googleLikeFields"][] = "user";
$tdatafor_signature[".googleLikeFields"][] = "on_time";
$tdatafor_signature[".googleLikeFields"][] = "md";
$tdatafor_signature[".googleLikeFields"][] = "description";
$tdatafor_signature[".googleLikeFields"][] = "this_allocation";
$tdatafor_signature[".googleLikeFields"][] = "comment";
$tdatafor_signature[".googleLikeFields"][] = "c_acc";
$tdatafor_signature[".googleLikeFields"][] = "delete";
$tdatafor_signature[".googleLikeFields"][] = "status";



$tdatafor_signature[".tableType"] = "list";

$tdatafor_signature[".printerPageOrientation"] = 0;
$tdatafor_signature[".nPrinterPageScale"] = 100;

$tdatafor_signature[".nPrinterSplitRecords"] = 40;

$tdatafor_signature[".geocodingEnabled"] = false;










$tdatafor_signature[".pageSize"] = 20;

$tdatafor_signature[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatafor_signature[".strOrderBy"] = $tstrOrderBy;

$tdatafor_signature[".orderindexes"] = array();


$tdatafor_signature[".sqlHead"] = "SELECT id,  CONCAT(\"අංක \", id, \" හා \", `date`, \" දිනැති ප්‍රතිපාදන කෙටුම්පත කාරුණිකව  අත්සනට ඉදිරිපත් කරමි. නිකුත් කිරීමට ඉල්ලා සිටිය ප්‍රතිපාදන පිළිබඳ තොරුතුරු පහත පරිදී වේ. ප්‍රතිපාදනය \", department_name, \"දෙපාර්තමේන්තුව / අමාත්‍යාශය යේ වැය ශීර්ෂය  \", expenditure_code, \" යටතේ වේ. \") AS aaa,  expenditure_code,  department_name,  at_start,  at_end,  `user`,  on_time,  md,  description,  this_allocation,  `comment`,  c_acc,  `delete`,  status";
$tdatafor_signature[".sqlFrom"] = "FROM allocation";
$tdatafor_signature[".sqlWhereExpr"] = "(status = \"waiting for singnature\")";
$tdatafor_signature[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdatafor_signature[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatafor_signature[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatafor_signature[".arrGroupsPerPage"] = $arrGPP;

$tdatafor_signature[".highlightSearchResults"] = true;

$tableKeysfor_signature = array();
$tableKeysfor_signature[] = "id";
$tdatafor_signature[".Keys"] = $tableKeysfor_signature;


$tdatafor_signature[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["id"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "id";
//	aaa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "aaa";
	$fdata["GoodName"] = "aaa";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("for_signature","aaa");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "aaa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CONCAT(\"අංක \", id, \" හා \", `date`, \" දිනැති ප්‍රතිපාදන කෙටුම්පත කාරුණිකව  අත්සනට ඉදිරිපත් කරමි. නිකුත් කිරීමට ඉල්ලා සිටිය ප්‍රතිපාදන පිළිබඳ තොරුතුරු පහත පරිදී වේ. ප්‍රතිපාදනය \", department_name, \"දෙපාර්තමේන්තුව / අමාත්‍යාශය යේ වැය ශීර්ෂය  \", expenditure_code, \" යටතේ වේ. \")";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["aaa"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "aaa";
//	expenditure_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "expenditure_code";
	$fdata["GoodName"] = "expenditure_code";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","expenditure_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expenditure_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expenditure_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["expenditure_code"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "expenditure_code";
//	department_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "department_name";
	$fdata["GoodName"] = "department_name";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","department_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "department_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "department_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["department_name"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "department_name";
//	at_start
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "at_start";
	$fdata["GoodName"] = "at_start";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","at_start");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "at_start";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "at_start";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["at_start"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "at_start";
//	at_end
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "at_end";
	$fdata["GoodName"] = "at_end";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","at_end");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "at_end";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "at_end";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["at_end"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "at_end";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["user"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "user";
//	on_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "on_time";
	$fdata["GoodName"] = "on_time";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","on_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "on_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "on_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["on_time"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "on_time";
//	md
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "md";
	$fdata["GoodName"] = "md";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","md");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "md";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "md";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["md"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "md";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","description");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["description"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "description";
//	this_allocation
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "this_allocation";
	$fdata["GoodName"] = "this_allocation";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","this_allocation");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "this_allocation";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "this_allocation";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["this_allocation"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "this_allocation";
//	comment
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "comment";
	$fdata["GoodName"] = "comment";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","comment");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "comment";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`comment`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["comment"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "comment";
//	c_acc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "c_acc";
	$fdata["GoodName"] = "c_acc";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","c_acc");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "c_acc";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c_acc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["c_acc"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "c_acc";
//	delete
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "delete";
	$fdata["GoodName"] = "delete";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","delete");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "delete";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`delete`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["delete"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "delete";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("for_signature","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatafor_signature["status"] = $fdata;
		$tdatafor_signature[".searchableFields"][] = "status";


$tables_data["for_signature"]=&$tdatafor_signature;
$field_labels["for_signature"] = &$fieldLabelsfor_signature;
$fieldToolTips["for_signature"] = &$fieldToolTipsfor_signature;
$placeHolders["for_signature"] = &$placeHoldersfor_signature;
$page_titles["for_signature"] = &$pageTitlesfor_signature;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["for_signature"] = array();
//	detail
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="detail";
		$detailsParam["dOriginalTable"] = "allocation_detail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "detail";
	$detailsParam["dCaptionTable"] = GetTableCaption("detail");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["for_signature"][$dIndex] = $detailsParam;

	
		$detailsTablesData["for_signature"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["for_signature"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["for_signature"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["for_signature"][$dIndex]["detailKeys"][]="fk";

// tables which are master tables for current table (detail)
$masterTablesData["for_signature"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_for_signature()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  CONCAT(\"අංක \", id, \" හා \", `date`, \" දිනැති ප්‍රතිපාදන කෙටුම්පත කාරුණිකව  අත්සනට ඉදිරිපත් කරමි. නිකුත් කිරීමට ඉල්ලා සිටිය ප්‍රතිපාදන පිළිබඳ තොරුතුරු පහත පරිදී වේ. ප්‍රතිපාදනය \", department_name, \"දෙපාර්තමේන්තුව / අමාත්‍යාශය යේ වැය ශීර්ෂය  \", expenditure_code, \" යටතේ වේ. \") AS aaa,  expenditure_code,  department_name,  at_start,  at_end,  `user`,  on_time,  md,  description,  this_allocation,  `comment`,  c_acc,  `delete`,  status";
$proto0["m_strFrom"] = "FROM allocation";
$proto0["m_strWhere"] = "(status = \"waiting for singnature\")";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "status = \"waiting for singnature\"";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= \"waiting for singnature\"";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "for_signature";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$proto9=array();
$proto9["m_functiontype"] = "SQLF_CUSTOM";
$proto9["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "\"අංක \""
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "id"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\" හා \""
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "`date`"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\" දිනැති ප්‍රතිපාදන කෙටුම්පත කාරුණිකව  අත්සනට ඉදිරිපත් කරමි. නිකුත් කිරීමට ඉල්ලා සිටිය ප්‍රතිපාදන පිළිබඳ තොරුතුරු පහත පරිදී වේ. ප්‍රතිපාදනය \""
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "department_name"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\"දෙපාර්තමේන්තුව / අමාත්‍යාශය යේ වැය ශීර්ෂය  \""
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "expenditure_code"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\" යටතේ වේ. \""
));

$proto9["m_arguments"][]=$obj;
$proto9["m_strFunctionName"] = "CONCAT";
$obj = new SQLFunctionCall($proto9);

$proto8["m_sql"] = "CONCAT(\"අංක \", id, \" හා \", `date`, \" දිනැති ප්‍රතිපාදන කෙටුම්පත කාරුණිකව  අත්සනට ඉදිරිපත් කරමි. නිකුත් කිරීමට ඉල්ලා සිටිය ප්‍රතිපාදන පිළිබඳ තොරුතුරු පහත පරිදී වේ. ප්‍රතිපාදනය \", department_name, \"දෙපාර්තමේන්තුව / අමාත්‍යාශය යේ වැය ශීර්ෂය  \", expenditure_code, \" යටතේ වේ. \")";
$proto8["m_srcTableName"] = "for_signature";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "aaa";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "expenditure_code",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto19["m_sql"] = "expenditure_code";
$proto19["m_srcTableName"] = "for_signature";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "department_name",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto21["m_sql"] = "department_name";
$proto21["m_srcTableName"] = "for_signature";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "at_start",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto23["m_sql"] = "at_start";
$proto23["m_srcTableName"] = "for_signature";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "at_end",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto25["m_sql"] = "at_end";
$proto25["m_srcTableName"] = "for_signature";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto27["m_sql"] = "`user`";
$proto27["m_srcTableName"] = "for_signature";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "on_time",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto29["m_sql"] = "on_time";
$proto29["m_srcTableName"] = "for_signature";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "md",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto31["m_sql"] = "md";
$proto31["m_srcTableName"] = "for_signature";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto33["m_sql"] = "description";
$proto33["m_srcTableName"] = "for_signature";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "this_allocation",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto35["m_sql"] = "this_allocation";
$proto35["m_srcTableName"] = "for_signature";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "comment",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto37["m_sql"] = "`comment`";
$proto37["m_srcTableName"] = "for_signature";
$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "c_acc",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto39["m_sql"] = "c_acc";
$proto39["m_srcTableName"] = "for_signature";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "delete",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto41["m_sql"] = "`delete`";
$proto41["m_srcTableName"] = "for_signature";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "allocation",
	"m_srcTableName" => "for_signature"
));

$proto43["m_sql"] = "status";
$proto43["m_srcTableName"] = "for_signature";
$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto45=array();
$proto45["m_link"] = "SQLL_MAIN";
			$proto46=array();
$proto46["m_strName"] = "allocation";
$proto46["m_srcTableName"] = "for_signature";
$proto46["m_columns"] = array();
$proto46["m_columns"][] = "id";
$proto46["m_columns"][] = "date";
$proto46["m_columns"][] = "expenditure_code";
$proto46["m_columns"][] = "department_name";
$proto46["m_columns"][] = "at_start";
$proto46["m_columns"][] = "at_end";
$proto46["m_columns"][] = "user";
$proto46["m_columns"][] = "on_time";
$proto46["m_columns"][] = "md";
$proto46["m_columns"][] = "description";
$proto46["m_columns"][] = "this_allocation";
$proto46["m_columns"][] = "comment";
$proto46["m_columns"][] = "c_acc";
$proto46["m_columns"][] = "delete";
$proto46["m_columns"][] = "status";
$obj = new SQLTable($proto46);

$proto45["m_table"] = $obj;
$proto45["m_sql"] = "allocation";
$proto45["m_alias"] = "";
$proto45["m_srcTableName"] = "for_signature";
$proto47=array();
$proto47["m_sql"] = "";
$proto47["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto47["m_column"]=$obj;
$proto47["m_contained"] = array();
$proto47["m_strCase"] = "";
$proto47["m_havingmode"] = false;
$proto47["m_inBrackets"] = false;
$proto47["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto47);

$proto45["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto45);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="for_signature";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_for_signature = createSqlQuery_for_signature();


	
		;

															

$tdatafor_signature[".sqlquery"] = $queryData_for_signature;



include_once(getabspath("include/for_signature_events.php"));
$tableEvents["for_signature"] = new eventclass_for_signature;
$tdatafor_signature[".hasEvents"] = true;

?>